Bug 237779 - Wrong init script
Wrong init script
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tcpdump (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Miroslav Lichvar
:
Depends On:
Blocks: 237789 237780 237781
  Show dependency treegraph
 
Reported: 2007-04-25 08:25 EDT by Michal Marciniszyn
Modified: 2014-02-10 18:01 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2007-0368
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 10:33:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Marciniszyn 2007-04-25 08:25:46 EDT
Description of problem:
The following code exits from the script with error code 0 even when the service
is not correctly started.
if [ "$NETWORKING" = "no" ]
then
        exit 0
fi
It also disables the invocation of status command, which should be executable
all the time. Also there are minor errors in other non-zero error codes.

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1. disable networking
2. service arpwatch status
3. 
  
Actual results:
nothing is displayed, 0 is returned

Expected results:
correct status of the service is returned

Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd
Comment 1 RHEL Product and Program Management 2007-05-02 06:23:47 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 errata-xmlrpc 2007-11-07 10:33:32 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0368.html

Note You need to log in before you can comment on or make changes to this bug.